Skip to main content
`Ctrl`+`K`

# PetscDualSpaceGetDM

Get the `DM` representing the reference cell of a `PetscDualSpace`

## Synopsis

    #include "petscfe.h"
    PetscErrorCode PetscDualSpaceGetDM(PetscDualSpace sp, DM *dm)

Not Collective

## Input Parameter

- sp - The `PetscDualSpace`

## Output Parameter

- dm - The reference cell, that is a `DM` that consists of a single cell

## See Also

`PetscDualSpace`, `PetscDualSpaceSetDM()`, `PetscDualSpaceCreate()`

## Level

intermediate

## Location

src/dm/dt/dualspace/interface/dualspace.c

Index of all DUALSPACE routines
Table of Contents for all manual pages
Index of all manual pages